Subject: Re: bug#49886: [PATCH v2] Add gitile and gitile service

From: Ludovic Courtès <[email-masked]>
Date: Mon, 30 Aug 2021 14:49:56 +0200

Hi Julien!

Julien Lepiller <[email-masked]> skribis:

> attached is a v2 of the series. I added a small change to gitolite that
> allows changing UNSAFE_PATT (a regex that matches configuration values
> that contain unsafe characters). I wanted to link to it and to the
> nginx configuration sections in the manual, but I don't know how to
> create that link? I see the @subsubheading NGINX for instance, but I
> can't @ref{NGINX}.

Right, you cannot cross-reference a heading; you’d need either a node or
an anchor so you can cross-reference it.

> I had to update gitile for the tests to pass and had a few false
> starts, but now the tests pass and gitile is working even better than
> before :)

Yay! :-)

> From d43a77241defdea7848ab4596b427c33675f050e Mon Sep 17 00:00:00 2001
> From: Julien Lepiller <[email-masked]>
> Date: Thu, 5 Aug 2021 02:57:32 +0200
> Subject: [PATCH 1/3] gnu: Add gitile.
>
> * gnu/packages/version-control.scm (gitile): New variable.

LGTM!

> From 2652e5515c84505c63072309f3b3e7837649cdb9 Mon Sep 17 00:00:00 2001
> From: Julien Lepiller <[email-masked]>
> Date: Wed, 25 Aug 2021 03:00:44 +0200
> Subject: [PATCH 2/3] gnu: gitolite: Add unsafe-patt configuration option.
>
> * gnu/services/version-control.scm (gitolite-rc-file): Add unsafe-patt
> field.
> (gitolite-rc-file-compiler): Write it.
> * doc/guix.texi (Version Control Services): Document it.

[...]

> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -31426,6 +31426,15 @@ A value like @code{#o0027} will give read access to the group used by Gitolite
>  (by default: @code{git}).  This is necessary when using Gitolite with software
>  like cgit or gitweb.
>  
> +@item @code{unsafe-patt} (default: @code{#f})

I’d call this field ‘unsafe-pattern’ for clarity.

> +An optional pattern for catching unsafe configurations in the configuration

s/pattern/Perl regular expression/ ?

> +file.  See
> +@uref{https://gitolite.com/gitolite/git-config.html#compensating-for-unsafe_patt,
> +Gitolite's documentation} for more information.
> +
> +When the value is not @code{#f}, it should be a string containing a Perl
> +regular expression, such as @samp{"[`~#\$\&()|;<>]"}.

“such as @samp{…}, which catches XYZ.”

OK with changes along these lines!

> From a80c856fce646eee7257239e4c05e67ac292b5fc Mon Sep 17 00:00:00 2001
> From: Julien Lepiller <[email-masked]>
> Date: Thu, 5 Aug 2021 03:46:40 +0200
> Subject: [PATCH 3/3] gnu: version-control: Add gitile service.
>
> * gnu/services/version-control.scm (gitile-service-type): New variable.
> * doc/guix.texi (Version Control Services): Document it.
> * gnu/tests/version-control.scm (%test-gitile): New variable.

LGTM, thank you!

Ludo’.